/* by ondrej@idata.sk - removed unneeded parts for wavsplit */

/*****************************************************************************/
/* WAV-File player/recorder - Version 0.2 			             */
/* using recplay.c from Audio Utilities for Linux 2.0 (c) Liam Corner        */
/* (C) FF-Soft '93 						             */
/* Andre Fuechsel; email: af1@irz.inf.tu-dresden.de / 			     */
/* Brian Foutz (bef2@cornell.edu) 03/18/97                                   */
/*  - added command line option -m to specify buffer memory                  */
/*  - added -o to specify output interval (in 1/100th of a sec)              */
/*  - added -p option for pausing before playing
/*****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>

#include "play.h"

int header_check(wave_header *head) 
{
  unsigned p;

   p = head->length - head->data_length;

   if (strncmp(head->main_chunk, "RIFF", 4)) {
      fprintf(stderr, "not in RIFF-Format\n");
      return(0);
   }

   if (strncmp(head->chunk_type, "WAVE", 4)) {
      fprintf(stderr, "not a WAVE-Type\n");
      return(0);
   }
		
   if (strncmp(head->sub_chunk, "fmt ", 4)) {
      fprintf(stderr, "not a WAVE-Format\n");
      return(0);
   }

   if ((head->sample_fq * head->byte_p_spl) != head->byte_p_sec) 
      fprintf(stderr, "wrong speed/freq.\n"); 

   return(1);
}

